#include <metal_stdlib>
#include <simd/simd.h>

using namespace metal;

struct Globals
{
    float4x4 uProj;
    float4 uColor;
};

struct main0_out
{
    float4 FragColor [[color(0)]];
};

struct main0_in
{
    float2 vUV [[user(locn0)]];
};

fragment main0_out main0(main0_in in [[stage_in]], constant Globals& _35 [[buffer(0)]], texture2d<float> uFont [[texture(0)]], sampler uFontSmplr [[sampler(0)]])
{
    main0_out out = {};
    float a = uFont.sample(uFontSmplr, in.vUV).w;
    if (a < 0.5)
    {
        discard_fragment();
    }
    out.FragColor = _35.uColor;
    return out;
}

